player_add_replace_rule_req Struct Reference

Configuration request: Add client queue replace rule. More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | interf
| Interface to set replace rule for (-1 for wildcard)
int32_t | index
| index to set replace rule for (-1 for wildcard)
int32_t | type
| message type to set replace rule for (-1 for wildcard), i.e. More...
int32_t | subtype
| message subtype to set replace rule for (-1 for wildcard)
int32_t | replace
| Should we replace these messages.

## Detailed Description

Configuration request: Add client queue replace rule.

Allows the client to add a replace rule to their server queue. Replace rules define which messages will be replaced when new data arrives. If you are not updating frequently from ther server then the use of replace rules for data packets will stop any queue overflow messages

Each field in the request type corresponds to the equivalent field in the message header use -1 for a dont care value.

## Member Data Documentation

int32_t player_add_replace_rule_req::type

message type to set replace rule for (-1 for wildcard), i.e.

PLAYER_MSGTYPE_DATA

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45